Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo User (http://www.linux-archive.org/gentoo-user/)
-   -   Trying KDE-4 (http://www.linux-archive.org/gentoo-user/179028-trying-kde-4-a.html)

Peter Humphrey 10-19-2008 01:54 PM

Trying KDE-4
 
Having been inspired by messages here extolling the virtues of KDE-4, I
tried installing it. I did as Neil B said and autounmasked kde-meta-4.1.2,
but I still have a couple of show-stoppers.

After running autounmask, I had 81 new entries in package.keywords, but I
had to add another 82 myself after that many attempts to emerge -uaDvN
world.

Even so, I now have five blockers. Three of them I can clear by unmerging
old package versions, but that leaves me with these two:

[blocks B ] <=x11-libs/qt-4.4.0_alpha:4 ("<=x11-libs/qt-4.4.0_alpha:4"
is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2,
x11-libs/qt-qt3support-4.4.2, x11-libs/qt-sql-4.4.2, x11-libs/qt-gui-4.4.2,
x11-libs/qt-svg-4.4.2, x11-libs/qt-test-4.4.2, x11-libs/qt-core-4.4.2,
x11-libs/qt-webkit-4.4.2, x11-libs/qt-opengl-4.4.2)
[blocks B ] x11-libs/qt-core ("x11-libs/qt-core" is blocking
x11-libs/qt-4.3.3)

The first of these implies that I have to unmerge qt-3.*, which I assume
would smash the system into tiny pieces, while the second just looks
nonsensical to me.

Can anyone see anything obvious here that I can fix?

--
Rgds
Peter

"Weifeng Liu" 10-19-2008 02:16 PM

Trying KDE-4
 
I think I had the similar blocks while upgrading my kde from 3.5.x to 4.1.2, I just unmerged x11-libs/qt-core then everything seemed to be fine.

-Weifeng

On Sun, Oct 19, 2008 at 9:54 PM, Peter Humphrey <peter@humphrey.ukfsn.org> wrote:

Having been inspired by messages here extolling the virtues of KDE-4, I

tried installing it. I did as Neil B said and autounmasked kde-meta-4.1.2,

but I still have a couple of show-stoppers.



After running autounmask, I had 81 new entries in package.keywords, but I

had to add another 82 myself after that many attempts to emerge -uaDvN

world.



Even so, I now have five blockers. Three of them I can clear by unmerging

old package versions, but that leaves me with these two:



[blocks B * * ] <=x11-libs/qt-4.4.0_alpha:4 ("<=x11-libs/qt-4.4.0_alpha:4"

is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2,

x11-libs/qt-qt3support-4.4.2, x11-libs/qt-sql-4.4.2, x11-libs/qt-gui-4.4.2,

x11-libs/qt-svg-4.4.2, x11-libs/qt-test-4.4.2, x11-libs/qt-core-4.4.2,

x11-libs/qt-webkit-4.4.2, x11-libs/qt-opengl-4.4.2)

[blocks B * * ] x11-libs/qt-core ("x11-libs/qt-core" is blocking

x11-libs/qt-4.3.3)



The first of these implies that I have to unmerge qt-3.*, which I assume

would smash the system into tiny pieces, while the second just looks

nonsensical to me.



Can anyone see anything obvious here that I can fix?



--

Rgds

Peter

Alan McKinnon 10-19-2008 02:24 PM

Trying KDE-4
 
On Sunday 19 October 2008 15:54:24 Peter Humphrey wrote:
> Having been inspired by messages here extolling the virtues of KDE-4, I
> tried installing it. I did as Neil B said and autounmasked kde-meta-4.1.2,
> but I still have a couple of show-stoppers.
>
> After running autounmask, I had 81 new entries in package.keywords, but I
> had to add another 82 myself after that many attempts to emerge -uaDvN
> world.
>
> Even so, I now have five blockers. Three of them I can clear by unmerging
> old package versions, but that leaves me with these two:
>
> [blocks B ] <=x11-libs/qt-4.4.0_alpha:4 ("<=x11-libs/qt-4.4.0_alpha:4"
> is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2,
> x11-libs/qt-qt3support-4.4.2, x11-libs/qt-sql-4.4.2, x11-libs/qt-gui-4.4.2,
> x11-libs/qt-svg-4.4.2, x11-libs/qt-test-4.4.2, x11-libs/qt-core-4.4.2,
> x11-libs/qt-webkit-4.4.2, x11-libs/qt-opengl-4.4.2)
> [blocks B ] x11-libs/qt-core ("x11-libs/qt-core" is blocking
> x11-libs/qt-4.3.3)
>
> The first of these implies that I have to unmerge qt-3.*, which I assume
> would smash the system into tiny pieces, while the second just looks
> nonsensical to me.
>
> Can anyone see anything obvious here that I can fix?
e
From the qt-core-4.4.2 ebuild:

RDEPEND="
!<=x11-libs/qt-4.4.0_alpha:${SLOT}
"

Te first blocker you have does NOT refer to any version less than 4.4.0_alpha,
it means any version less than that which is SLOT=4.

Fixing this is simple:

unmerge the existing qt:4
merge qt:4

They all co-exist nicely with qt-3:

nazgul x11-libs # eix -e qt
[i] x11-libs/qt
Available versions:
(3) 3.3.8-r4 (~)3.3.8b
(4) 4.3.3 (~)4.3.4-r1 (~)4.3.5 [M](~)4.4.0 (~)4.4.1 (~)4.4.1-r1
(~)4.4.2
{accessibility cups dbus debug doc examples firebird gif glib immqt
immqt-bc input_devices_wacom ipv6 jpeg mng mysql nas nis odbc opengl pch png
postgres qt3support sqlite sqlite3 ssl tiff xinerama zlib}
Installed versions: 3.3.8b(3)(18:45:41 10/12/08)(cups opengl
xinerama -debug -doc -examples -firebird -immqt -immqt-bc -ipv6 -mysql -nas -nis -odbc -postgres -sqlite)
4.4.2(4)(22:55:09 09/23/08)(dbus opengl qt3support)
Homepage: http://www.trolltech.com/
Description: The Qt toolkit is a comprehensive C++ application
development framework.

nazgul x11-libs # eix -e qt-core
[i] x11-libs/qt-core
Available versions: (4) [M](~)4.4.0 (~)4.4.1 (~)4.4.1-r1 (~)4.4.2
{debug doc glib pch qt3support ssl}
Installed versions: 4.4.2(4)(23:35:51 09/22/08)(pch qt3support
ssl -debug -doc -glib)
Homepage: http://www.trolltech.com/
Description: The Qt toolkit is a comprehensive C++ application
development framework.


--
alan dot mckinnon at gmail dot com

Peter Humphrey 10-19-2008 02:50 PM

Trying KDE-4
 
On Sunday 19 October 2008 15:24:45 Alan McKinnon wrote:

> From the qt-core-4.4.2 ebuild:
>
> RDEPEND="
> !<=x11-libs/qt-4.4.0_alpha:${SLOT}
> "
>
> [The] first blocker you have does NOT refer to any version less than
> 4.4.0_alpha, it means any version less than that which is SLOT=4.

I thought that too, but I have only version 3.3.8-r4 of qt on the system. A
version 4.x may have existed some months ago, but not since then.

> Fixing this is simple:
>
> unmerge the existing qt:4

Which I can't do, as I said above.

> merge qt:4

I'm doing this now; I'll see if it clears the blocks - thanks.

--
Rgds
Peter

Daniel Pielmeier 10-19-2008 03:21 PM

Trying KDE-4
 
Peter Humphrey schrieb am 19.10.2008 16:50:
> On Sunday 19 October 2008 15:24:45 Alan McKinnon wrote:
>
>> From the qt-core-4.4.2 ebuild:
>>
>> RDEPEND="
>> !<=x11-libs/qt-4.4.0_alpha:${SLOT}
>> "
>>
>> [The] first blocker you have does NOT refer to any version less than
>> 4.4.0_alpha, it means any version less than that which is SLOT=4.
>
> I thought that too, but I have only version 3.3.8-r4 of qt on the system. A
> version 4.x may have existed some months ago, but not since then.
>
>> Fixing this is simple:
>>
>> unmerge the existing qt:4
>
> Which I can't do, as I said above.
>
>> merge qt:4
>
> I'm doing this now; I'll see if it clears the blocks - thanks.
>

I hope you compile the qt split ebuilds 4.4.2, if not I you probably
will run into blockers again.

Alan McKinnon 10-19-2008 03:28 PM

Trying KDE-4
 
On Sunday 19 October 2008 16:50:37 Peter Humphrey wrote:
> On Sunday 19 October 2008 15:24:45 Alan McKinnon wrote:
> > From the qt-core-4.4.2 ebuild:
> >
> > RDEPEND="
> > !<=x11-libs/qt-4.4.0_alpha:${SLOT}
> > "
> >
> > [The] first blocker you have does NOT refer to any version less than
> > 4.4.0_alpha, it means any version less than that which is SLOT=4.
>
> I thought that too, but I have only version 3.3.8-r4 of qt on the system. A
> version 4.x may have existed some months ago, but not since then.

Then it uninstalled and being pulled in by something else.

Repost the output of your emerge command using the "-t" option.

Tip: tricky blockers often require that you post the output of 'emerge -t'.
Otherwise all we know is THAT you have a block and no way to determine WHY
it's happening. If you are going to post emerge output, it's a excellent
habit to do it with "-t"

--
alan dot mckinnon at gmail dot com

Alex Schuster 10-19-2008 05:32 PM

Trying KDE-4
 
Alan McKinnon writes:

> Repost the output of your emerge command using the "-t" option.
>
> Tip: tricky blockers often require that you post the output of 'emerge
> -t'. Otherwise all we know is THAT you have a block and no way to
> determine WHY it's happening. If you are going to post emerge output,
> it's a excellent habit to do it with "-t"

I had the same experience as Peter. Looks like it's PyQt. I have it in
world, no idea why, maybe I forgot the -1 switch once. Anyway, equery
also lists it as a dependency of amarok-1.4.10 (when the python use flag
is set). And it's another dependency of qscintilla-python, when the qt4
use flag is not set (for me, it is).

I do not know how to solve this, but did not yet try hard to do so. I'm
installing KDE 4.1 on a remote machine I do not have physical access to
yet, so it's no showstopper for me. Yet :)

Wonko

Alan McKinnon 10-19-2008 05:52 PM

Trying KDE-4
 
On Sunday 19 October 2008 19:32:42 Alex Schuster wrote:
> Alan McKinnon writes:
> > Repost the output of your emerge command using the "-t" option.
> >
> > Tip: tricky blockers often require that you post the output of 'emerge
> > -t'. Otherwise all we know is THAT you have a block and no way to
> > determine WHY it's happening. If you are going to post emerge output,
> > it's a excellent habit to do it with "-t"
>
> I had the same experience as Peter. Looks like it's PyQt. I have it in
> world, no idea why, maybe I forgot the -1 switch once. Anyway, equery
> also lists it as a dependency of amarok-1.4.10 (when the python use flag
> is set). And it's another dependency of qscintilla-python, when the qt4
> use flag is not set (for me, it is).

That sounds familiar. I had some issue with PyQt recently. I've also had many
issues with many packages recently, so I forget the details very quickly.

> I do not know how to solve this, but did not yet try hard to do so. I'm
> installing KDE 4.1 on a remote machine I do not have physical access to
> yet, so it's no showstopper for me. Yet :)

I main underlying reason seems to be that Qt now comes as split-ebuilds and
Peter has some monolithic ones installed. It's similar to migrating KDE to
split-ebuilds, but on a much smaller scale. Unfortunately there's no easy way
to automate this in an ebuild, that would require several new unrelated
packages replacing one big one, portage doesn't support that kind of thing.
So one has to do it manually, and deal with the resulting recdep-rebuild
issues as well ....

--
alan dot mckinnon at gmail dot com

Peter Humphrey 10-20-2008 08:46 AM

Trying KDE-4
 
On Sunday 19 October 2008 18:52:49 Alan McKinnon wrote:

> I main underlying reason seems to be that Qt now comes as split-ebuilds
> and Peter has some monolithic ones installed. It's similar to migrating
> KDE to split-ebuilds, but on a much smaller scale. Unfortunately there's
> no easy way to automate this in an ebuild, that would require several new
> unrelated packages replacing one big one, portage doesn't support that
> kind of thing. So one has to do it manually, and deal with the resulting
> recdep-rebuild issues as well ....

Does that mean I have to uninstall PyQt and let KDE-4 pull it back in?

--
Rgds
Peter

Peter Humphrey 10-20-2008 09:06 AM

Trying KDE-4
 
On Sunday 19 October 2008 16:28:35 Alan McKinnon wrote:

> Repost the output of your emerge command using the "-t" option.
>
> Tip: tricky blockers often require that you post the output of 'emerge
> -t'. Otherwise all we know is THAT you have a block and no way to
> determine WHY it's happening. If you are going to post emerge output,
> it's a excellent habit to do it with "-t"

You're right. Here it is* (you did ask :):

# USE="dbus qt4" emerge -upDvNt world

These are the packages that would be merged, in reverse order:

Calculating dependencies ..... ..... done!
[ebuild NS ] kde-base/kdebase-meta-4.1.2 [3.5.9] 0 kB
[ebuild NS ] kde-base/kdegraphics-meta-4.1.2 [3.5.9] 0 kB
[ebuild NS ] kde-base/kdemultimedia-meta-4.1.2 [3.5.9] 0 kB
[ebuild NS ] kde-base/kdeutils-meta-4.1.2 [3.5.9] USE="-floppy" 0 kB
[ebuild NS ] kde-base/kate-4.1.2 [3.5.9]
USE="plasma -debug -htmlhandbook -kdeprefix" 4,793 kB
[ebuild NS ] kde-base/kdeartwork-meta-4.1.2 [3.5.9] 0 kB
[ebuild NS ] kde-base/kdeartwork-emoticons-4.1.2 [3.5.9]
USE="-kdeprefix" 41,367 kB
[ebuild N ] kde-base/kdeartwork-colorschemes-4.1.2 USE="-kdeprefix" 0
kB
[ebuild NS ] kde-base/kdeartwork-kscreensaver-4.1.2 [3.5.9]
USE="opengl -debug -kdeprefix -xscreensaver" 0 kB
[ebuild NS ] kde-base/kdeartwork-styles-4.1.2 [3.5.9]
USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdeartwork-wallpapers-4.1.2 [3.5.9]
USE="-kdeprefix" 0 kB
[ebuild NS ] kde-base/kdeartwork-icewm-themes-4.1.2 [3.5.9]
USE="-kdeprefix" 0 kB
[ebuild NS ] kde-base/kdeartwork-sounds-4.1.2 [3.5.9] USE="-kdeprefix" 0
kB
[ebuild NS ] kde-base/kdeartwork-kworldclock-4.1.2 [3.5.9]
USE="-kdeprefix" 0 kB
[nomerge ] kde-base/kdeutils-meta-4.1.2 [3.5.9] USE="-floppy"
[ebuild NS ] kde-base/kjots-4.1.2 [3.5.9]
USE="kontact -debug -htmlhandbook -kdeprefix" 12,860 kB
[ebuild N ] kde-base/kontactinterfaces-4.1.2
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/libkdepim-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0
kB
[ebuild NS ] kde-base/ktimer-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 2,230 kB
[ebuild NS ] kde-base/kcharselect-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/kdessh-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/superkaramba-4.1.2 [3.5.9]
USE="python -debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/kwallet-4.1.2
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/ark-4.1.2 [3.5.9] USE="archive
zip -debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdf-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/sweeper-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/kgpg-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/okteta-4.1.2 USE="-debug -kdeprefix" 0 kB
[nomerge ] kde-base/kdemultimedia-meta-4.1.2 [3.5.9]
[ebuild NS ] kde-base/kmix-4.1.2 [3.5.9]
USE="alsa -debug -htmlhandbook -kdeprefix" 1,410 kB
[ebuild NS ] kde-base/juk-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix -tunepimp" 0 kB
[ebuild N ] kde-base/dragonplayer-4.1.2 USE="-kdeprefix" 0 kB
[ebuild NS ] kde-base/kdemultimedia-kioslaves-4.1.2 [3.5.9]
USE="vorbis -debug -encode -flac -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdebase-startkde-4.1.2-r1 [3.5.9] USE="-kdeprefix"
46,387 kB
[ebuild N ] kde-base/plasma-apps-4.1.2
USE="-debug -htmlhandbook -kdeprefix" 4,297 kB
[ebuild NS ] kde-base/kwin-4.1.2 [3.5.9-r1]
USE="opengl -captury -debug -kdeprefix -xcomposite -xinerama" 0 kB
[ebuild N ] kde-base/systemsettings-4.1.2 USE="opengl
usb -debug -htmlhandbook -kdeprefix -xinerama" 0 kB
[ebuild N ] kde-base/knotify-4.1.2 USE="-debug -kdeprefix" 50,977 kB
[ebuild NS ] kde-base/kreadconfig-4.1.2 [3.5.9] USE="-debug -kdeprefix"
0 kB
[ebuild N ] kde-base/kstyles-4.1.2 USE="-kdeprefix" 0 kB
[ebuild N ] kde-base/kstartupconfig-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/krunner-4.1.2
USE="opengl -debug -kdeprefix -xcomposite -xscreensaver" 0 kB
[ebuild N ] kde-base/kde-wallpapers-4.1.2 USE="-kdeprefix" 0 kB
[nomerge ] kde-base/kdegraphics-meta-4.1.2 [3.5.9]
[ebuild N ] kde-base/kdegraphics-strigi-analyzer-4.1.2
USE="-debug -kdeprefix" 3,355 kB
[ebuild NS ] kde-base/kgamma-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/libkexiv2-4.1.2 USE="-kdeprefix" 0 kB
[ebuild N ] kde-base/svgpart-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/libkdcraw-4.1.2 USE="-kdeprefix" 0 kB
[ebuild N ] kde-base/gwenview-4.1.2
USE="semantic-desktop -debug -htmlhandbook -kdeprefix -kipi" 0 kB
[ebuild NS ] kde-base/kamera-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/okular-4.1.2 USE="jpeg pdf
tiff -chm -debug -djvu -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/libkipi-4.1.2 USE="-kdeprefix" 0 kB
[ebuild N ] kde-base/kcolorchooser-4.1.2
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kruler-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/libksane-4.1.2
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[nomerge ] kde-base/krunner-4.1.2
USE="opengl -debug -kdeprefix -xcomposite -xscreensaver"
[ebuild NS ] kde-base/ksmserver-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0
kB
[ebuild NS ] kde-base/ksysguard-4.1.2 [3.5.9]
USE="lm_sensors -debug -htmlhandbook -kdeprefix -test" 0 kB
[ebuild N ] kde-base/plasma-workspace-4.1.2
USE="-debug -htmlhandbook -kdeprefix -xcomposite -xinerama" 0 kB
[ebuild N ] kde-base/libplasma-4.1.2
USE="opengl -debug -kdeprefix -test -xinerama" 0 kB
[ebuild N ] x11-libs/qt-webkit-4.4.2 USE="-debug -pch" 102,858 kB
[nomerge ] kde-base/kdebase-meta-4.1.2 [3.5.9]
[ebuild N ] kde-base/kde-menu-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/khelpcenter-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/kfile-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/kinfocenter-4.1.2
USE="opengl -debug -htmlhandbook -ieee1394 -kdeprefix" 0 kB
[ebuild NS ] kde-base/ksystraycmd-4.1.2 [3.5.9] USE="-debug -kdeprefix"
0 kB
[ebuild N ] kde-base/renamedlg-plugins-4.1.2 USE="-debug -kdeprefix" 0
kB
[ebuild NS ] kde-base/klipper-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdebugdialog-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/kpasswdserver-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/kdebase-cursors-4.1.2 USE="-kdeprefix" 0 kB
[ebuild N ] kde-base/kwrite-4.1.2
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/khotkeys-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0
kB
[ebuild N ] kde-base/kuiserver-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/knetattach-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/knewstuff-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/kquitapp-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/kmimetypefinder-4.1.2 USE="-debug -kdeprefix" 0
kB
[ebuild N ] kde-base/ktimezoned-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/ktraderclient-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/solid-hardware-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/kiconfinder-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/kioclient-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/keditbookmarks-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdm-4.1.2 [3.5.9]
USE="pam -debug -htmlhandbook -kdeprefix -kerberos" 0 kB
[ebuild NS ] kde-base/kscd-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kolourpaint-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kmenuedit-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/ksnapshot-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/nsplugins-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0
kB
[ebuild NS ] kde-base/drkonqi-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/kappfinder-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/konsole-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kstart-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/kcalc-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix -test" 0 kB
[nomerge ] kde-base/kdebase-startkde-4.1.2-r1 [3.5.9] USE="-kdeprefix"
[nomerge ] kde-base/ksmserver-4.1.2 [3.5.9] USE="-debug -kdeprefix"
[ebuild NS ] kde-base/kcminit-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0
kB
[ebuild N ] kde-base/ksplash-4.1.2 USE="mmx sse sse2 -3dnow
(-altivec) -debug -kdeprefix -xinerama" 0 kB
[nomerge ] kde-base/kdebase-startkde-4.1.2-r1 [3.5.9] USE="-kdeprefix"
[nomerge ] kde-base/plasma-workspace-4.1.2
USE="-debug -htmlhandbook -kdeprefix -xcomposite -xinerama"
[ebuild N ] kde-base/dolphin-4.1.2
USE="semantic-desktop -debug -htmlhandbook -kdeprefix" 0 kB
[ebuild N ] kde-base/nepomuk-4.1.2 USE="-debug -kdeprefix" 0 kB
[nomerge ] kde-base/nsplugins-4.1.2 [3.5.9] USE="-debug -kdeprefix"
[ebuild NS ] kde-base/konqueror-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdebase-kioslaves-4.1.2 [3.5.9]
USE="bzip2 -debug -htmlhandbook -kdeprefix -openexr -samba" 0 kB
[nomerge ] kde-base/plasma-workspace-4.1.2
USE="-debug -htmlhandbook -kdeprefix -xcomposite -xinerama"
[ebuild N ] kde-base/soliduiserver-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/solid-4.1.2
USE="-bluetooth -kdeprefix -networkmanager -test" 0 kB
[ebuild NS ] kde-base/kdeartwork-iconthemes-4.1.2 [3.5.9]
USE="-kdeprefix" 0 kB
[nomerge ] kde-base/kdebase-meta-4.1.2 [3.5.9]
[ebuild N ] kde-base/kurifilter-plugins-4.1.2 USE="-debug -kdeprefix"
0 kB
[ebuild N ] kde-base/kcmshell-4.1.2 USE="-debug -kdeprefix" 0 kB
[ebuild N ] kde-base/phonon-xine-4.1.2 USE="xcb -debug -kdeprefix" 0
kB
[ebuild N ] kde-base/kde-menu-icons-4.1.2 USE="-kdeprefix" 0 kB
[ebuild NS ] kde-base/kscreensaver-4.1.2 [3.5.9] USE="opengl
pam -debug -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdialog-4.1.2 [3.5.9-r1] USE="-debug -kdeprefix" 0
kB
[ebuild NS ] kde-base/kfind-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kcontrol-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/kdepasswd-4.1.2 [3.5.9] USE="-debug -kdeprefix" 0
kB
[ebuild NS ] kde-base/kcheckpass-4.1.2 [3.5.9] USE="pam -kdeprefix" 0 kB
[nomerge ] kde-base/kontactinterfaces-4.1.2
USE="-debug -htmlhandbook -kdeprefix"
[ebuild N ] kde-base/kode-4.1.2 USE="-debug -kdeprefix" 0 kB
[nomerge ] kde-base/kscd-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix"
[ebuild N ] kde-base/libkcompactdisc-4.1.2
USE="alsa -debug -htmlhandbook -kdeprefix" 0 kB
[ebuild NS ] kde-base/libkcddb-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix -musicbrainz" 0 kB
[nomerge ] kde-base/ksmserver-4.1.2 [3.5.9] USE="-debug -kdeprefix"
[nomerge ] kde-base/libplasma-4.1.2
USE="opengl -debug -kdeprefix -test -xinerama"
[ebuild N ] kde-base/libtaskmanager-4.1.2
USE="-debug -kdeprefix -xcomposite" 0 kB
[nomerge ] kde-base/krunner-4.1.2
USE="opengl -debug -kdeprefix -xcomposite -xscreensaver"
[ebuild NS ] kde-base/kdebase-data-4.1.2 [3.5.9] USE="-kdeprefix" 0 kB
[nomerge ] sys-apps/qtparted-0.4.5 USE="jfs kde ntfs reiserfs
xfs -gnome"
[ebuild NS ] kde-base/kdesu-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix" 0 kB
[nomerge ] kde-base/ksmserver-4.1.2 [3.5.9] USE="-debug -kdeprefix"
[ebuild N ] kde-base/libkworkspace-4.1.2 USE="-debug -kdeprefix" 0 kB
[nomerge ] kde-base/kdebase-meta-4.1.2 [3.5.9]
[nomerge ] kde-base/dolphin-4.1.2
USE="semantic-desktop -debug -htmlhandbook -kdeprefix"
[ebuild NS ] kde-base/libkonq-4.1.2 [3.5.9]
USE="-debug -kdeprefix -test" 0 kB
[ebuild N ] kde-base/kdepimlibs-4.1.2
USE="sasl -debug -htmlhandbook -kdeprefix -ldap -test" 1,844 kB
[ebuild N ] app-office/akonadi-server-1.0.0 USE="mysql" 120 kB
[ebuild NS ] kde-base/kdelibs-4.1.2-r1 [3.5.9-r4] USE="acl alsa bzip2
fam jpeg2k mmx nls opengl semantic-desktop spell sse sse2 ssl -3dnow
(-altivec) -bindist -debug -doc -htmlhandbook -kdeprefix -kerberos -openexr -test -zeroconf"
8,899 kB
[ebuild N ] x11-libs/qt-qt3support-4.4.2
USE="accessibility -debug -pch" 0 kB
[ebuild N ] x11-libs/qt-sql-4.4.2 USE="mysql odbc qt3support
sqlite -debug (-firebird) -pch -postgres" 0 kB
[ebuild N ] dev-libs/soprano-2.1 USE="clucene
sesame2 -debug -doc -redland" 1,789 kB
[ebuild N ] media-sound/phonon-4.2.0 USE="-debug -gstreamer" 392
kB
[ebuild N ] x11-libs/qt-opengl-4.4.2 USE="qt3support -debug -pch"
0 kB
[ebuild N ] x11-libs/qt-svg-4.4.2 USE="-debug -pch" 0 kB
[ebuild N ] x11-libs/qt-gui-4.4.2 USE="accessibility cups dbus
mng qt3support tiff -debug -glib -nas -nis -pch -xinerama"
INPUT_DEVICES="-wacom" 0 kB
[ebuild N ] x11-libs/qt-dbus-4.4.2 USE="-debug -pch" 0 kB
[ebuild N ] x11-libs/qt-script-4.4.2 USE="-debug -pch" 0 kB
[ebuild N ] kde-base/automoc-0.9.84 8 kB
[ebuild N ] x11-libs/qt-test-4.4.2 USE="-debug -pch" 0 kB
[ebuild N ] x11-libs/qt-core-4.4.2 USE="qt3support
ssl -debug -doc -glib -pch" 0 kB
[nomerge ] dev-db/mysql-gui-tools-5.0_p12-r2 USE="administrator nls
query-browser"
[nomerge ] gnome-extra/gtkhtml-3.18.3 USE="-debug -static"
[nomerge ] gnome-base/libbonoboui-2.22.0 USE="X -debug -doc"
[ebuild R ] gnome-base/gnome-vfs-2.22.0 USE="acl fam ipv6
ssl -avahi -debug -doc -gnutls -hal* -kerberos -samba" 0 kB
[nomerge ] gnome-extra/gtkhtml-3.18.3 USE="-debug -static"
[nomerge ] gnome-base/libgnomeui-2.22.1 USE="jpeg -debug -doc"
[ebuild R ] gnome-base/gnome-keyring-2.22.3
USE="pam -debug -doc -hal* -test" 0 kB
[ebuild R ] net-irc/xchat-2.8.6-r1 USE="dbus* ipv6 nls perl python
spell ssl xchatdccserver -debug -libnotify (-mmx) -tcl -xchatnogtk -xft" 0
kB
[ebuild R ] app-office/openoffice-3.0.0 USE="cups dbus* gtk java kde
mono nsplugin opengl
pam -debug -eds -gnome -gstreamer -ldap -odk -templates"
LINGUAS="en_GB -af -ar -as_IN -be_BY -bg -bn -br -bs -ca -cs -cy -da -de -dz -el -en -en_US -en_ZA -eo -es -et -fa -fi -fr -ga -gl -gu_IN -he -hi_IN -hr -hu -it -ja -km -ko -ku -lt -lv -mk -ml_IN -mr_IN -nb -ne -nl -nn -nr -ns -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sh -sk -sl -sr -ss -st -sv -sw_TZ -ta_IN -te_IN -tg -th -ti_ER -tn -tr -ts -uk -ur_IN -ve -vi -xh -zh_CN -zh_TW -zu"
0 kB
[ebuild R ] net-print/hplip-2.8.6b USE="cupsddk dbus* doc qt3
qt4* -fax -minimal -parport -ppds -scanner -snmp" 0 kB
[ebuild R ] net-news/liferea-1.4.15 USE="dbus*
firefox -debug -gnutls -gtkhtml -libnotify -lua -networkmanager -seamonkey -xulrunner"
0 kB
[ebuild R ] media-video/vlc-0.8.6i-r2 USE="X a52 alsa arts cdda cddb
dc1394 dvd httpd libnotify live mp3 mpeg ncurses nsplugin ogg opengl png
rtsp sdl sdl-image stream svg truetype vcd vorbis x264 xml xv
(-3dfx) -aalib
(-altivec) -avahi -bidi -corba -daap -debug -directfb -dts -dvb -esd -fbcon -flac -ggi -gnome -gnutls -hal* -jack -libcaca -lirc -matroska -modplug -musepack -optimisememory -oss -samba -seamonkey -shout -skins -speex
(-svga) -theora -upnp -v4l -vlm
(-win32codecs) -wxwindows -xinerama -xosd -xulrunner" 0 kB
[ebuild R ] media-gfx/gimp-2.4.6 USE="alsa curl dbus* doc exif gtkhtml
lcms mmx mng pdf png python smp sse svg tiff wmf -aalib
(-altivec) -debug -gnome -hal*" 0 kB
[nomerge ] net-print/hplip-2.8.6b USE="cupsddk dbus* doc qt3
qt4* -fax -minimal -parport -ppds -scanner -snmp"
[nomerge ] dev-python/PyQt-3.17.4 USE="-debug -doc -examples"
[nomerge ] x11-libs/qscintilla-2.1-r1 USE="python
qt4* -debug -doc -examples"
[ebuild R ] dev-python/qscintilla-python-2.1 USE="qt4*" 0 kB
[ebuild N ] dev-python/PyQt4-4.3.3 USE="-debug -doc -examples" 0 kB
[nomerge ] media-gfx/inkscape-0.46-r5 USE="doc lcms perl spell
wmf -debug -dia -gnome -inkjar -jabber (-mmx) -postscript"
[ebuild R ] app-text/poppler-bindings-0.8.7 USE="cairo gtk qt3
qt4* -test" 0 kB
[nomerge ] kde-base/kate-4.1.2 [3.5.9]
USE="plasma -debug -htmlhandbook -kdeprefix"
[nomerge ] kde-base/libplasma-4.1.2
USE="opengl -debug -kdeprefix -test -xinerama"
[ebuild N ] app-misc/strigi-0.5.11 USE="clucene dbus exif fam
qt4 -debug -hyperestraier -inotify -log -test" 857 kB
[nomerge ] kde-base/dragonplayer-4.1.2 USE="-kdeprefix"
[ebuild N ] media-libs/xine-lib-1.1.15-r1 USE="X a52 alsa arts dts dvd
gtk ipv6 mad mng modplug musepack nls opengl sdl theora truetype v4l vcd
vorbis xcb xv -aac -aalib
(-altivec) -debug -directfb -dxr3 -esd -fbcon -flac -gnome -imagemagick -jack -libcaca -mmap -oss -pulseaudio -real -samba -speex
(-vidix) (-vis) -wavpack (-win32codecs) -xinerama -xvmc" 7,304 kB
[ebuild R ] net-print/cups-1.3.8-r2 USE="X acl dbus* java jpeg pam perl
png python ssl
tiff -avahi -gnutls -kerberos -ldap -php -ppds -samba -slp -static -xinetd -zeroconf"
LINGUAS="en -de -es -et -fr -he -id -it -ja -pl -sv -zh_TW" 0 kB
[nomerge ] kde-base/dolphin-4.1.2
USE="semantic-desktop -debug -htmlhandbook -kdeprefix"
[nomerge ] dev-libs/soprano-2.1 USE="clucene
sesame2 -debug -doc -redland"
[ebuild N ] media-libs/raptor-1.4.16 USE="curl unicode xml" 1,476 kB
[ebuild U ] dev-util/cmake-2.4.8 [2.4.6-r1] USE="-emacs -vim-syntax"
2,548 kB
[ebuild N ] dev-libs/xmlrpc-c-1.06.27 USE="curl threads" 684 kB
[nomerge ] kde-base/ark-4.1.2 [3.5.9] USE="archive
zip -debug -htmlhandbook -kdeprefix"
[ebuild N ] app-arch/libarchive-2.4.12 USE="acl -build -static -xattr"
805 kB
[nomerge ] kde-base/systemsettings-4.1.2 USE="opengl
usb -debug -htmlhandbook -kdeprefix -xinerama"
[ebuild N ] x11-libs/libxklavier-3.6 USE="-doc" 452 kB
[nomerge ] kde-base/dragonplayer-4.1.2 USE="-kdeprefix"
[nomerge ] kde-base/phonon-xine-4.1.2 USE="xcb -debug -kdeprefix"
[nomerge ] media-libs/xine-lib-1.1.15-r1 USE="X a52 alsa arts dts
dvd gtk ipv6 mad mng modplug musepack nls opengl sdl theora truetype v4l
vcd vorbis xcb xv -aac -aalib
(-altivec) -debug -directfb -dxr3 -esd -fbcon -flac -gnome -imagemagick -jack -libcaca -mmap -oss -pulseaudio -real -samba -speex
(-vidix) (-vis) -wavpack (-win32codecs) -xinerama -xvmc"
[ebuild N ] x11-libs/libxcb-1.0 USE="-debug" 410 kB
[ebuild N ] x11-proto/xcb-proto-1.0 70 kB
[nomerge ] kde-base/kamera-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix"
[ebuild R ] media-libs/libgphoto2-2.4.1-r1 USE="exif nls -doc -hal*"
CAMERAS="fuji -adc65 -agfa_cl20 -aox -barbie -canon -casio_qv -clicksmart310 -digigr8 -digita -dimagev -dimera3500 -directory -enigma13 -gsmart300 -hp215 -iclick -jamcam -jd11 -kodak_dc120 -kodak_dc210 -kodak_dc240 -kodak_dc3200 -kodak_ez200 -konica -konica_qm150 -largan -lg_gsm -mars -mustek -panasonic_coolshot -panasonic_dc1000 -panasonic_dc1580 -panasonic_l859 -pccam300 -pccam600 -polaroid_pdc320 -polaroid_pdc640 -polaroid_pdc700 -ptp2 -ricoh -ricoh_g3 -samsung -sierra -sipix_blink -sipix_blink2 -sipix_web2 -smal -sonix -sony_dscf1 -sony_dscf55 -soundvision -spca50x -sq905 -stv0674 -stv0680 -sx330z -template -toshiba_pdrm11"
0 kB
[nomerge ] kde-base/kstyles-4.1.2 USE="-kdeprefix"
[ebuild N ] kde-base/qimageblitz-0.0.4 USE="mmx sse sse2 -3dnow
(-altivec) -debug" 55 kB
[nomerge ] kde-base/kdm-4.1.2 [3.5.9]
USE="pam -debug -htmlhandbook -kdeprefix -kerberos"
[ebuild R ] x11-apps/xinit-1.0.8-r3 USE="pam -debug -hal* -minimal" 0
kB
[nomerge ] kde-base/kgamma-4.1.2 [3.5.9]
USE="-debug -htmlhandbook -kdeprefix"
[ebuild N ] x11-apps/xgamma-1.0.2 USE="-debug" 85 kB
[nomerge ] kde-base/phonon-xine-4.1.2 USE="xcb -debug -kdeprefix"
[nomerge ] x11-libs/libxcb-1.0 USE="-debug"
[ebuild N ] dev-libs/libpthread-stubs-0.1 USE="-debug" 190 kB
[nomerge ] media-libs/xine-lib-1.1.15-r1 USE="X a52 alsa arts dts dvd
gtk ipv6 mad mng modplug musepack nls opengl sdl theora truetype v4l vcd
vorbis xcb xv -aac -aalib
(-altivec) -debug -directfb -dxr3 -esd -fbcon -flac -gnome -imagemagick -jack -libcaca -mmap -oss -pulseaudio -real -samba -speex
(-vidix) (-vis) -wavpack (-win32codecs) -xinerama -xvmc"
[ebuild N ] media-libs/libmpcdec-1.2.6-r2 245 kB
[ebuild N ] media-libs/libmodplug-0.8.4-r2 499 kB
[ebuild N ] media-libs/libdca-0.0.5 USE="-debug -oss" 385 kB
[nomerge ] kde-base/okular-4.1.2 USE="jpeg pdf
tiff -chm -debug -djvu -htmlhandbook -kdeprefix"
[ebuild N ] app-text/libspectre-0.2.0 USE="-debug -doc -test" 375 kB
[nomerge ] dev-python/qscintilla-python-2.1 USE="qt4*"
[ebuild R ] x11-libs/qscintilla-2.1-r1 USE="python
qt4* -debug -doc -examples" 0 kB
[nomerge ] kde-base/ark-4.1.2 [3.5.9] USE="archive
zip -debug -htmlhandbook -kdeprefix"
[ebuild N ] dev-libs/libzip-0.8 405 kB
[nomerge ] kde-base/kdebase-startkde-4.1.2-r1 [3.5.9] USE="-kdeprefix"
[nomerge ] kde-base/kdebase-kioslaves-4.1.2 [3.5.9]
USE="bzip2 -debug -htmlhandbook -kdeprefix -openexr -samba"
[nomerge ] app-misc/strigi-0.5.11 USE="clucene dbus exif fam
qt4 -debug -hyperestraier -inotify -log -test"
[ebuild N ] dev-cpp/clucene-0.9.20 USE="threads -debug -doc" 1,513
kB
[blocks B ] <=x11-libs/qt-4.4.0_alpha:4 ("<=x11-libs/qt-4.4.0_alpha:4"
is blocking x11-libs/qt-script-4.4.2, x11-libs/qt-dbus-4.4.2,
x11-libs/qt-qt3support-4.4.2, x11-libs/qt-sql-4.4.2, x11-libs/qt-gui-4.4.2,
x11-libs/qt-svg-4.4.2, x11-libs/qt-test-4.4.2, x11-libs/qt-core-4.4.2,
x11-libs/qt-webkit-4.4.2, x11-libs/qt-opengl-4.4.2)
[blocks B ] x11-libs/qt-core ("x11-libs/qt-core" is blocking
x11-libs/qt-4.3.3)

Total: 167 packages (1 upgrade, 88 new, 64 in new slots, 14 reinstalls),
Size of downloads: 301,927 kB
Conflict: 2 blocks (2 unsatisfied)

--------

* qt-4 doesn't appear because of this:

$ equery l qt
[ Searching for package 'qt' in all categories among: ]
* installed packages
[I--] [ ] app-emulation/emul-linux-x86-qtlibs-20071210 (0)
[I--] [ ] dev-db/qt-unixODBC-3.3.8 (3)
[I--] [ ] dev-libs/dbus-qt3-old-0.70 (0)
[I--] [ ] sys-apps/qtparted-0.4.5 (0)
[I--] [ ] x11-libs/qt-3.3.8-r4 (3)
[I--] [ ] x11-libs/qt-4.3.3 (4)

I could post the output of "equery u qt", but this is already long. Maybe
next time.

--
Rgds
Peter


All times are GMT. The time now is 01:40 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.